Page MenuHomePhabricator

Attach function attribute "disable-tail-calls"
ClosedPublic

Authored by ahatanak on May 28 2015, 12:17 PM.

Details

Summary

This patch adds the code which attaches function attributes "disable-tail-calls" in CGCall.cpp. This code seems to have been dropped unintentionally in r176985.

This is the clang-side change following http://reviews.llvm.org/D10099.

Diff Detail

Repository
rL LLVM

Event Timeline

ahatanak updated this revision to Diff 26722.May 28 2015, 12:17 PM
ahatanak retitled this revision from to Attach function attribute "disable-tail-calls" .
ahatanak updated this object.
ahatanak edited the test plan for this revision. (Show Details)
ahatanak added reviewers: echristo, dexonsmith.
ahatanak added a subscriber: Unknown Object (MLST).
ahatanak added a subscriber: Unknown Object (MLST).
ahatanak updated this revision to Diff 26750.May 28 2015, 4:08 PM
ahatanak removed a subscriber: Unknown Object (MLST).

Add test case attr-disable-tail-calls.c.

rsmith added a subscriber: rsmith.May 28 2015, 4:40 PM
rsmith added inline comments.
test/CodeGen/2004-06-17-UnorderedCompares.c
3 ↗(On Diff #26750)

No need for a + here. Nor a \t, for that matter, just {{ }} should do.

test/CodeGenCXX/ctor-globalopt.cpp
16 ↗(On Diff #26750)

Likewise.

ahatanak updated this revision to Diff 26765.May 28 2015, 6:34 PM

Simplify check strings in test cases.

ahatanak updated this revision to Diff 26767.May 28 2015, 7:18 PM

We can use more compact check strings in test/CodeGen/arm-interrupt-attr.c as this test is checking that the expected interrupt attributes are emitted.

echristo accepted this revision.Jun 8 2015, 2:40 PM
echristo edited edge metadata.

This is fine with me, thanks.

-eric

This revision is now accepted and ready to land.Jun 8 2015, 2:40 PM
This revision was automatically updated to reflect the committed changes.